Slack: Add Reaction
Add an emoji reaction to a Slack message via native OAuth integration. Reacts with the specified emoji to the target message. Ideal for: message acknowledgment, automated approvals, status indicators, triage workflows.
Catalog action Integrations slack
Add an emoji reaction to a Slack message via native OAuth integration. Reacts with the specified emoji to the target message. Ideal for: message acknowledgment, automated approvals, status indicators, triage workflows.
At a Glance
| Field | Value |
|---|---|
| Action ID | slack-add-reaction |
| Category | Integrations |
| Connector | slack |
| Requires gas | No |
| Funds movement | None declared |
| Tags | slack, messaging, write, chat |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
channel | string | Yes | Channel ID containing the message |
timestamp | string | Yes | Timestamp of the message to react to |
name | string | Yes | Emoji name without colons (e.g., thumbsup, rocket, white_check_mark) |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | Yes | - |
data | object | No | - |
Examples
json{ "type": "slack-add-reaction", "payload": { "channel": "example-channel", "timestamp": "2026-04-25T12:00:00Z", "name": "example-name" }, "children": [], "connector": { "type": "slack", "id": "conn_slack" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/slack-add-reaction/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "channel": "example-channel", "timestamp": "2026-04-25T12:00:00Z", "name": "example-name" }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
